Loading...
Searching...
No Matches
MetricFuncs.h File Reference
`#include <RDGeneral/export.h>`
`#include <cmath>`
`#include <DataStructs/BitOps.h>`
`#include <RDGeneral/Invariant.h>`

Go to the source code of this file.

## Namespaces

namespace | RDDataManip

## Functions

template<typename T1 , typename T2 >
double | RDDataManip::EuclideanDistanceMetric (const T1 &v1, const T2 &v2, unsigned int dim)
| return the Euclidean distance between two vectors
template<typename T1 , typename T2 >
double | RDDataManip::TanimotoDistanceMetric (const T1 &bv1, const T2 &bv2, unsigned int dim)
| return the Tanimoto distance (1-TanimotoSimilarity) between two bit vectors
template<typename T1 , typename T2 >
double | RDDataManip::TanimotoSimilarityMetric (const T1 &bv1, const T2 &bv2, unsigned int dim)
| return the Tanimoto similarity between two bit vectors